﻿using AcademicProgressBusinessLogic.BindingModels;
using AcademicProgressBusinessLogic.BusinessLogics;
using AcademicProgressBusinessLogic.ViewModels;
using DesktopTools.Controls;
using DesktopTools.Helpers;
using DesktopTools.Interfaces;
using DesktopTools.Models;
using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace AcademicProgressWindowsDesktop.EntityControls.StudentAcademicProgress
{
    /// <summary>
	/// Реализация контрола для успеваемости студентов
	/// </summary>
    public partial class ControlStudentAcademicProgressElement : GenericControlEntityElement<StudentAcademicProgressGetBindingModel, StudentAcademicProgressSetBindingModel, StudentAcademicProgressListViewModel, StudentAcademicProgressViewModels, StudentAcademicProgressBusinessLogic>,
        IGenericControlEntityElement
    {
        public ControlStudentAcademicProgressElement()
        {
            InitializeComponent();
            Title = "Учет успеваемости студента";
            ControlId = new Guid("bdba2fca-4c38-33cf-89b0-4906c4aa7aa3");
            _genericControlViewEntityElement = this;
        }

        public IControl GetInstanceGenericControl() => new ControlStudentAcademicProgressElement() { ControlId = Guid.NewGuid() };

        public ControlViewEntityElementConfiguration GetConfigControl() => new();    
    }
}
