﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

namespace DatabaseCore.Migrations
{
    public partial class ChangeDisciplinesAndAcademicProgress : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "StudentAcademicProgressId",
                table: "StudentAcademicProgress");

            migrationBuilder.AlterColumn<int>(
                name: "Score",
                table: "StudentAcademicProgress",
                type: "int",
                nullable: false,
                oldClrType: typeof(string),
                oldType: "nvarchar(max)");

            migrationBuilder.AddColumn<string>(
                name: "Discipline1CName",
                table: "Disciplines",
                type: "nvarchar(max)",
                nullable: true);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "Discipline1CName",
                table: "Disciplines");

            migrationBuilder.AlterColumn<string>(
                name: "Score",
                table: "StudentAcademicProgress",
                type: "nvarchar(max)",
                nullable: false,
                oldClrType: typeof(int),
                oldType: "int");

            migrationBuilder.AddColumn<Guid>(
                name: "StudentAcademicProgressId",
                table: "StudentAcademicProgress",
                type: "uniqueidentifier",
                nullable: true);
        }
    }
}
